package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.model.CameraParam;
import api.common.pojo.po.model.CameraPO;
import api.common.pojo.vo.model.CameraVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface CameraMapper {

    List<CameraVO> getCameraList(CameraParam cameraParam);

    CameraVO getCameraInfo(CameraParam cameraParam);

    List<CameraVO> checkCameraName(CameraPO cameraPO);

    void insert(CameraPO cameraPO);

    void update(CameraPO cameraPO);

    void delCameraById(CameraPO cameraPO);

    List<CameraVO> getCameraListGy();
    List<CameraVO> getCameraListSy(CameraParam cameraParam);
}
